KPasteTextAction Class Reference

`#include <kactionclasses.h>`

Inheritance diagram for KPasteTextAction:

## Public Member Functions

| KPasteTextAction (const QString &text, const QString &icon, const KShortcut &cut, const QObject *receiver, const char *slot, QObject *parent=0, const char *name=0)
void | setMixedMode (bool mode)
virtual int | plug (QWidget *widget, int index=-1)
Public Member Functions inherited from KAction
| KAction (const QString &text, const KShortcut &cut, const QObject *receiver, const char *slot, KActionCollection *parent, const char *name)
| KAction (const QString &text, const QIconSet &pix, const KShortcut &cut, const QObject *receiver, const char *slot, KActionCollection *parent, const char *name)
| KAction (const QString &text, const QString &pix, const KShortcut &cut, const QObject *receiver, const char *slot, KActionCollection *parent, const char *name)
| KAction (const KGuiItem &item, const KShortcut &cut, const QObject *receiver, const char *slot, KActionCollection *parent, const char *name)
| KAction (const QString &text, const KShortcut &cut=KShortcut(), QObject *parent=0, const char *name=0)
| KAction (const QString &text, const KShortcut &cut, const QObject *receiver, const char *slot, QObject *parent, const char *name=0)
| KAction (const QString &text, const QIconSet &pix, const KShortcut &cut=KShortcut(), QObject *parent=0, const char *name=0)
| KAction (const QString &text, const QString &pix, const KShortcut &cut=KShortcut(), QObject *parent=0, const char *name=0)
| KAction (const QString &text, const QIconSet &pix, const KShortcut &cut, const QObject *receiver, const char *slot, QObject *parent, const char *name=0)
| KAction (const QString &text, const QString &pix, const KShortcut &cut, const QObject *receiver, const char *slot, QObject *parent, const char *name=0)
| KAction (QObject *parent=0, const char *name=0)
virtual | ~KAction ()
virtual void | plugAccel (KAccel *accel, bool configurable=true) KDE_DEPRECATED
virtual void | unplug (QWidget *w)
virtual void | unplugAccel () KDE_DEPRECATED
virtual bool | isPlugged () const
bool | isPlugged (const QWidget *container) const
virtual bool | isPlugged (const QWidget *container, int id) const
virtual bool | isPlugged (const QWidget *container, const QWidget *_representative) const
QWidget * | container (int index) const
int | itemId (int index) const
QWidget * | representative (int index) const
int | containerCount () const
uint | kaccelCount () const
virtual bool | hasIcon () const
bool | hasIconSet () const
virtual QString | plainText () const
virtual QString | text () const
virtual const KShortcut & | shortcut () const
virtual const KShortcut & | shortcutDefault () const
QString | shortcutText () const
void | setShortcutText (const QString &)
virtual bool | isEnabled () const
virtual bool | isShortcutConfigurable () const
virtual QString | group () const
virtual QString | whatsThis () const
virtual QString | toolTip () const
virtual QIconSet | iconSet (KIcon::Group group, int size=0) const
QIconSet | iconSet () const
virtual QString | icon () const
KActionCollection * | parentCollection () const
void | unplugAll ()
int | accel () const KDE_DEPRECATED
QString | statusText () const
void | setAccel (int key) KDE_DEPRECATED
void | setStatusText (const QString &text)
int | menuId (int i)

## Protected Slots

void | menuAboutToShow ()
void | menuItemActivated (int id)
virtual void | slotActivated ()
Protected Slots inherited from KAction
virtual void | slotDestroyed ()
virtual void | slotKeycodeChanged ()
virtual void | slotActivated ()
void | slotPopupActivated ()
void | slotButtonClicked (int, Qt::ButtonState state)

## Protected Member Functions

virtual void | virtual_hook (int id, void *data)
Protected Member Functions inherited from KAction
KToolBar * | toolBar (int index) const
QPopupMenu * | popupMenu (int index) const
void | removeContainer (int index)
int | findContainer (const QWidget *widget) const
int | findContainer (int id) const
void | plugMainWindowAccel (QWidget *w)
void | addContainer (QWidget *parent, int id)
void | addContainer (QWidget *parent, QWidget *representative)
virtual void | updateShortcut (int i)
virtual void | updateShortcut (QPopupMenu *menu, int id)
virtual void | updateGroup (int id)
virtual void | updateText (int i)
virtual void | updateEnabled (int i)
virtual void | updateIconSet (int i)
virtual void | updateIcon (int i)
virtual void | updateToolTip (int id)
virtual void | updateWhatsThis (int i)
QString | whatsThisWithIcon () const
const KGuiItem & | guiItem () const

## Additional Inherited Members

Public Types inherited from KAction
enum | ActivationReason { UnknownActivation, EmulatedActivation, AccelActivation, PopupMenuActivation, ToolBarActivation }
Public Slots inherited from KAction
virtual void | setText (const QString &text)
virtual bool | setShortcut (const KShortcut &)
virtual void | setGroup (const QString &)
virtual void | setWhatsThis (const QString &text)
virtual void | setToolTip (const QString &)
virtual void | setIconSet (const QIconSet &iconSet)
virtual void | setIcon (const QString &icon)
virtual void | setEnabled (bool enable)
void | setDisabled (bool disable)
virtual void | setShortcutConfigurable (bool)
virtual void | activate ()
Signals inherited from KAction
void | activated ()
void | activated (KAction::ActivationReason reason, Qt::ButtonState state)
void | enabled (bool)
Static Public Member Functions inherited from KAction
static int | getToolButtonID ()
Protected Attributes inherited from KAction
KActionCollection * | m_parentCollection
Properties inherited from KAction
int | containerCount
QString | plainText
QString | text
QString | shortcut
bool | enabled
QString | group
QString | whatsThis
QString | toolTip
QString | icon

## Detailed Description

An action for pasting text from the clipboard.

It's useful for text handling applications as when plugged into a toolbar it provides a menu with the clipboard history if klipper is running. If klipper is not running, the menu has only one item: the current clipboard content.

Since
  3.2

Definition at line 1368 of file kactionclasses.h.

## Constructor & Destructor Documentation

KPasteTextAction::KPasteTextAction | ( | const QString & | text,
|  | const QString & | icon,
|  | const KShortcut & | cut,
|  | const QObject * | receiver,
|  | const char * | slot,
|  | QObject * | parent = `0`,
|  | const char * | name = `0`
| ) |  |

Create a KPasteTextAction, with a text, an icon, an accelerator, a slot connected to the action, parent and name.

If you do not want or have a keyboard accelerator, set the `cut` param to 0.

Parameters

  text | The text that will be displayed.
  icon | The icon to display.
  cut | The corresponding keyboard accelerator (shortcut).
  receiver | The SLOT's owner.
  slot | The SLOT to invoke to execute this action.
  parent | This action's parent.
  name | An internal name for this action.

Definition at line 2238 of file kactionclasses.cpp.

## Member Function Documentation

int KPasteTextAction::plug | ( | QWidget * | widget,
|  | int | index = `-1`
| ) |  |

virtual

"Plug" or insert this action into a given widget.

This will typically be a menu or a toolbar. From this point on, you will never need to directly manipulate the item in the menu or toolbar. You do all enabling/disabling/manipulation directly with your KAction object.

Parameters

  widget | The GUI element to display this action
  index | The position into which the action is plugged. If this is negative, the action is inserted at the end.

Reimplemented from KAction.

Definition at line 2263 of file kactionclasses.cpp.

void KPasteTextAction::setMixedMode | ( | bool | mode | ) |

Controls the behavior of the clipboard history menu popup.

Parameters

  mode | If false and the clipboard contains a non-text object the popup menu with the clipboard history will appear immediately as the user clicks the toolbar action; if true, the action works like the standard paste action even if the current clipboard object is not text. Default value is true.

Definition at line 2258 of file kactionclasses.cpp.

The documentation for this class was generated from the following files:

- kactionclasses.h
- kactionclasses.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys